Walletguide
DevelopersAPIReferenceassets

List assets

All assets of the wallet, each with server-computed per-asset transaction aggregates (openTransactions, lastTransactionDate) — additive fields (SE-3).

GET
/wallets/{walletId}/assets

Authorization

bearerAuth
Authorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

In: header

Path Parameters

walletId*string

Row uuid

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/assets"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",    "firestoreId": "string",    "type": "manualBank",    "name": "string",    "access": "fixed",    "assetGroupId": "78504883-e9ea-4e37-a299-85b4719844b2",    "archived": true,    "expectedAnnualReturn": -140737488355328,    "order": -140737488355328,    "defaultCurrency": "EUR",    "accountNumber": "string",    "defaultCategoryId": "0f63fd5d-d332-4663-9682-fda5c7d5685d",    "valueChangeCategoryId": "6c8c3179-b825-4690-a67f-3ce6d946199a",    "gainsLossesCategoryId": "ec29ec32-3029-40eb-8035-8d9d66b8b75b",    "feesCategoryId": "ff3a0a5d-a598-43d2-adba-4c17b5925cfa",    "taxCategoryId": "7293cae9-1ff3-4c2d-8fef-c6490a737060",    "importSettings": {      "csv": null,      "property1": null,      "property2": null    },    "bankConnection": {      "type": "klarna",      "countryCode": "string",      "gocardlessAccount": {        "id": "string",        "iban": "string",        "institution": {          "id": "string",          "name": "string",          "bic": "string",          "logo": "string",          "transactionTotalDays": 0        }      },      "finApiAccount": {        "id": 0,        "iban": "string",        "institution": {          "id": 0,          "name": "string",          "bic": "string",          "logoStored": true        },        "createdUserId": "string"      },      "plaidAccount": {        "id": "string",        "mask": "string",        "type": "investment",        "subtype": "string",        "institution": {          "id": "string",          "name": "string",          "url": "string",          "logoStored": true,          "routingNumbers": [            "string"          ],          "primaryColor": "string"        },        "createdUserId": "string",        "itemId": "string"      },      "status": "active",      "expireTime": "2019-08-24T14:15:22Z",      "lastSyncTime": "2019-08-24T14:15:22Z"    },    "createdTime": "2019-08-24T14:15:22Z",    "createdUserId": "string",    "lastUpdatedTime": "2019-08-24T14:15:22Z",    "lastUpdatedUserId": "string",    "openTransactions": 0,    "lastTransactionDate": "string"  }]